from Products.CMFCore.utils import getToolByName
from Products.CMFCore.TypesTool import FactoryTypeInformation
from Products.CMFCore import DirectoryView
from Products.CMFCore.SkinsContainer import SkinsContainer 

from Products.CMFNauTools import NauBoardContainer, NauBoardItem
from Products.CMFNauTools import HTMLDocument, Vote, Heading
from Products.CMFNauTools.ManageCMFContent import ManageCMFContent

import sys
from cStringIO import StringIO
from string import split, rfind, strip, join


def install_NauContent( self ):
    """\
	CMFNauTools intallation routine
    """
    out = StringIO()

    Installer = ManageCMFContent()
    out.write('Installing Nau content types... \n')

    NauBoardContainer.install(target=self)
    NauBoardItem.install(target=self)
    HTMLDocument.install(target=self)
    Vote.install(target=self)
    Heading.install(target=self)

    views = []
    views.append( Installer.register_view(self, 'nauboard') )
    views.append( Installer.register_view(self, 'htmldocument') )
    views.append( Installer.register_view(self, 'discussions') )
    views.append( Installer.register_view(self, 'vote') )
    views.append( Installer.register_view(self, 'heading') )
    views.append( Installer.register_view(self, 'groups') )
    views.append( Installer.register_view(self, 'publisher') )
    views.append( Installer.register_view(self, 'common') )
    
    Installer.set_skin(self, views )

    return out.getvalue()
