## Script (Python) "personalize"
##bind container=container
##bind context=context
##bind namespace=_
##bind script=script
##bind subpath=traverse_subpath
##parameters=userid=None
##title=Personalization Handler.
##
REQUEST=context.REQUEST

if userid is None:
   member = context.portal_membership.getAuthenticatedMember()
   member.setProperties(REQUEST)
else:
   member = context.portal_membership.getMemberById(userid)
   member.setMemberProperties(REQUEST)
   roles = list( member.getRoles() )
   if 'Manager' in roles:
      roles.remove('Manager')
   
   if REQUEST.get('manager', ''):
       roles.append('Manager')

   context.portal_groups.setRoles( userid, roles )

if REQUEST.has_key('portal_skin'):
    context.portal_skins.updateSkinCookie()
    
qs = '/personalize_form?portal_status_message=Member+changed.'

if userid:
   qs += '&userid=%s' % userid

context.REQUEST.RESPONSE.redirect(context.portal_url() + qs)
