## Script (Python) "aboveInThread"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=Discussion parent breadcrumbs
##
breadcrumbs = ''

if hasattr(context, 'parentsInThread'):
   parents = context.parentsInThread()
else:
   parents = None

if parents:
    breadcrumbs = ''
    for parent in parents:
        p_str = '<a href="%s">%s</a> - ' % (parent.absolute_url(), parent.Title() or parent.Description())
        breadcrumbs = breadcrumbs + p_str

#    breadcrumbs = breadcrumbs[:-1] + '<p>'
p_str = '%s' % (context.Title() or context.Description())
breadcrumbs = breadcrumbs + p_str
        
return breadcrumbs