## Script (Python) "discussion_reply"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=REQUEST, RESPONSE, title,text,Creator, fullname=None, email=None, status=1, last_comment=1
##title=Reply to content
##

replyID = context.createReply( title = title
                             , text = text
                             , Creator = Creator
                             )

reply = context.restrictedTraverse( replyID )

try:
     reply.editMetadata( description=title, contributors=(fullname, ) )
except:
     pass

context.REQUEST.RESPONSE.setCookie('fullname', fullname, path='/', expires='Wed, 19 Feb 2020 14:28:00 GMT')
 
if email:
   try:
     reply.manage_addProperty('email', email, 'string')
     context.REQUEST.RESPONSE.setCookie('email', email, path='/', expires='Wed, 19 Feb 2020 14:28:00 GMT')
   except:
     pass

#reply.manage_addProperty('status', status, 'int')

#if len(reply.parentsInThread())==1:
#   reply.manage_addProperty('number', last_comment, 'int')
#   for par in reply.parentsInThread():
#       par.manage_changeProperties( {'last_comment': last_comment+1} )
#       break
#   reply.manage_addProperty('mod_time', reply.bobobase_modification_time(), 'date')

#if len(reply.parentsInThread())>1:
#   c=1
#   for par in reply.parentsInThread():
#       if c==2: 
#          par.manage_changeProperties( {'mod_time': par.bobobase_modification_time()} )
#          break
#       c=c+1   
   

target = '%s/%s' % (context.absolute_url(), replyID)

context.REQUEST.RESPONSE.redirect(target)