## Script (Python) "nauboarditem_edit"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=REQUEST, RESPONSE, text, description, fullname='', email=None
##title=Edit a board item
##
comment='Published with NauBoard'

context.edit(text, description)
context.editMetadata( description=description, contributors=(fullname, ) )

context.REQUEST.RESPONSE.setCookie('fullname', fullname, path='/', expires='Wed, 19 Feb 2020 14:28:00 GMT')
if email:
    context.manage_addProperty('email', email, 'string')
    context.REQUEST.RESPONSE.setCookie('email', email, path='/', expires='Wed, 19 Feb 2020 14:28:00 GMT')

# 'Published' by default
# context.portal_workflow.doActionFor( context, 'post', comment=comment )

qst='?portal_status_message=Message+saved.'
 
context.REQUEST.RESPONSE.redirect( context.absolute_url() + qst )
