## Script (Python) "getPoll"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=REQUEST
##title=
##
# Find a vote associated with the given 
# object or one of it's closest parents
#
request = container.REQUEST
RESPONSE =  request.RESPONSE

if context.getProperty('poll', None):
     return context.poll
elif not context.hasProperty('poll'):
     context.manage_addProperty('poll', '', 'string')

parents = request.PARENTS
parentsCount = len(parents) - 2

for t in range( parentsCount ):
  if parents[t].poll:
     return parents[t].poll

return context.portal_properties.poll
