## Script (Python) "invoke_factory"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=id,title=None,subject=None,description=None,type_name=None
##title=Create content
##
def tuplify( value ):
    if not same_type( value, () ):
        value = tuple( value )

    temp = filter( None, value )
    return tuple( temp )

REQUEST = context.REQUEST
context.invokeFactory( id = id
                     , type_name = type_name
                     )
obj = context[id]
obj.setTitle(title)

if subject is not None:
    subject = tuplify( subject )
    obj.setSubject(subject)

if description is not None:
    obj.setDescription(description)

if obj.REQUEST.get( 'change_and_edit', 0 ):
    action_id = 'edit'
elif obj.REQUEST.get( 'change_and_view', 0 ):
    action_id = 'view'
else:
    action_id = 'metadata'

action_path = obj.getTypeInfo().getActionById( action_id )

action_method = obj.restrictedTraverse( action_path )

REQUEST['RESPONSE'].redirect( obj.absolute_url() + '/' + action_path )

